\ProvidesPackage{beamerthemeJambit}
[2019/11/05 v1.0 Jambit complete beamer theme]


\definecolor{jambitGrey}{RGB}{88,88,90} % JAMBIT LOGO GRAU
\definecolor{jambitOrange}{RGB}{238,127,0} % JAMBIT LOGO ORANGE
\definecolor{jambitLightGrey}{RGB}{170,170,169} % JAMBIT LOGO HELL GRAU
\definecolor{jambitLightGrey1}{RGB}{217,218,219} % JAMBIT LICHTGRAU 1
\definecolor{jambitLightGrey2}{RGB}{198,199,200} % JAMBIT LICHTGRAU 2
\definecolor{jambitGrey2}{RGB}{38,38,38} % JAMBIT GRAU 2
\definecolor{jambitGrey5}{RGB}{38,38,38} % JAMBIT GRAU 5

\setbeamercolor*{palette primary}{bg=jambitOrange, fg=jambitGrey}
\setbeamercolor*{palette secondary}{bg=jambitOrange, fg=jambitLightGrey2}
\setbeamercolor*{palette tertiary}{bg=jambitOrange, fg=jambitLightGrey1}
\setbeamercolor*{palette quaternary}{bg=jambitOrange, fg=jambitGrey5}

\setbeamercolor{structure}{fg=jambitOrange}
\setbeamercolor{section in toc}{fg=jambitGrey}

\setbeamercolor{itemize subitem}{fg=jambitGrey}
\setbeamercolor{itemize subsubitem}{fg=jambitGrey}

% Remove navigation symbols
\beamertemplatenavigationsymbolsempty


% itemize etc


\setbeamertemplate{itemize item}{\raisebox{1pt}{\tiny{$\blacksquare$}}} % Uses a filled rectangle for top level items in itemized lists
\setbeamertemplate{itemize subitem}{\raisebox{1pt}{\tiny{$\blacksquare$}}} % Uses a filled rectangle for first subitems
\setbeamertemplate{itemize subsubitem}{\raisebox{1pt}{\tiny{$\blacksquare$}}} % Uses a filled rectangle for second subitems
\setbeamertemplate{description item}{\textbf{\textcolor{jambitOrange}{\insertdescriptionitem}}}
\setbeamertemplate{enumerate item}[default]


\setbeamertemplate{bibliography item}[text] % triangle, article, book, text
\setbeamercolor*{bibliography entry item}{fg=black}
\setbeamercolor*{bibliography entry author}{fg=black}
\setbeamercolor*{bibliography entry title}{fg=black}
\setbeamercolor*{bibliography entry location}{fg=black}
\setbeamercolor*{bibliography entry note}{fg=black}

% Blocks

% Default sets block edges to edgy
%\setbeamertemplate{blocks}[rounded][shadow=false]
\usecolortheme{rose} % Light colors for boxes

\setbeamercolor{block title}{bg=jambitOrange,fg=white}
\setbeamercolor{block body}{bg=jambitLightGrey1!50,fg=black}


% Title page
\setbeamerfont{title}{size=\Large, series=\bfseries} % Sets font/size for the title on titlepage
\setbeamerfont{author}{size=\large, series=\mdseries} % Sets font/size for the author on titlepage
\setbeamerfont{date}{size=\normalsize} % Sets font/size for the date on titlepage
\setbeamerfont{subtitle}{size=\Large, series=\mdseries} % Sets font/size for the subtitle on titlepage

% Color for title box on title page
\setbeamercolor{title}{fg=white,bg=jambitOrange}
\setbeamercolor{author}{fg=white,bg=jambitOrange}
\setbeamercolor{subtitle}{fg=jambitGrey,bg=}
\setbeamercolor{date}{fg=jambitGrey,bg=}
\setbeamercolor{logo on title page}{fg=black,bg=white}

\pgfdeclareimage[height=1.5cm]{logo-on-front}{jambit-logo-mit_claim_400x240} % logo mit text

\setbeamertemplate{title page}{
  \begin{beamercolorbox}[wd=\paperwidth,ht=0.65\paperheight,center]{logo on title page}
     \vbox to0.65\paperheight{\vfil
     \raisebox{-0.5mm}{\pgfuseimage{logo-on-front}}

     \bigskip
    \bigskip
    \bigskip

      \usebeamercolor[fg]{subtitle}\usebeamerfont*{subtitle}\insertsubtitle\par
      \smallskip
      \usebeamercolor[fg]{date}\usebeamerfont*{date}\insertdate\par

     \vfil}%
  \end{beamercolorbox}
 \begin{beamercolorbox}[wd=\paperwidth,ht=0.33\paperheight,dp=1ex,left,leftskip=.8cm]{title}
\begin{center}
       \usebeamercolor[fg]{title}\usebeamerfont{title}\inserttitle\par
       \vspace{0.8em}%
       \usebeamercolor[fg]{author}\usebeamerfont{author}\insertauthor\par
       \vspace{0.4em}%
\end{center}
 \end{beamercolorbox}
}





% Colors for lines in head/foot
\setbeamercolor{upper separation line head}{use=structure,bg=structure.fg!100!bg}
\setbeamercolor{lower separation line head}{use=structure,bg=structure.fg!50!bg}
\setbeamercolor{upper separation line foot}{use=structure,bg=structure.fg!100!bg}
\setbeamercolor{lower separation line foot}{use=structure,bg=structure.fg!100!bg}

\setbeamercolor{title in head/foot}{fg=jambitGrey!100,bg=}
\setbeamercolor{frameno in head/foot}{fg=jambitGrey!100,bg=}

\pgfdeclareimage[height=2ex]{logo-in-foot}{jambit-logo-ohne_claim_400x136} % logo ohne text

% Footline

\setbeamertemplate{footline}
{
  \begin{beamercolorbox}[colsep=0.5pt]{upper separation line foot}
  \end{beamercolorbox}
    \leavevmode
  \hbox{%
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=4ex,dp=1ex,left,leftskip=.8cm]{logos in foot}
    \raisebox{-0.5mm}{\pgfuseimage{logo-in-foot}}
  \end{beamercolorbox}
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=4ex,center]{frameno in head/foot}
    \vbox to2.5ex{\vfil\hbox{\insertframenumber{} / \inserttotalframenumber}\vfil}%
  \end{beamercolorbox}
  \begin{beamercolorbox}[wd=.333333\paperwidth,ht=4ex,dp=1ex,right,rightskip=.95cm]{title in head/foot}
      \vbox to2.6ex{\vfil\hbox{
     WHERE INNOVATION WORKS}\vfil}%
  \end{beamercolorbox}%
  }
}


% Headline

\setbeamertemplate{headline}
{
  \begin{beamercolorbox}[colsep=.5pt]{upper separation line head}
  \end{beamercolorbox}
}



% Back Page

 \pgfdeclareimage[height=1.5cm]{logo-on-back}{jambit-logo-mit_claim_400x240} % logo mit text

 \setbeamercolor{back page}{fg=jambitOrange,bg=}
 \setbeamerfont{back page}{size=\scriptsize, series=\mdseries} %, shape=\scshape}

  \setbeamercolor{legal}{fg=black,bg=}
  \setbeamerfont{legal}{size=\scriptsize, series=\mdseries}

\newcommand{\finalslide}{

\begin{frame}[plain]

   \hbox{%
     \begin{beamercolorbox}[wd=0.47\paperwidth,ht=\paperheight]{logo on title page}

                        \vspace{0.25cm}
        \raisebox{-0.5mm}{\pgfuseimage{logo-on-back}}

                                \vspace{1.25cm}

{
\usebeamercolor[fg]{back page}\usebeamerfont{back page}
SOFTWARE \& SOLUTION DEVELOPER \par

\usebeamercolor[fg]{back page}\usebeamerfont{back page}
INNOVATION PARTNER \par

\usebeamercolor[fg]{back page}\usebeamerfont{back page}
COFFEE LOVER \par
}

                        \vspace{1.25cm}

\resizebox{0.48\paperwidth}{!}{%
% \vspace*{-0.8cm}%
\parbox{0.62\paperwidth}{%
\usebeamercolor[fg]{legal}\usebeamerfont{legal}
        Geschäftsführer: \\
        Peter F. Fellinger, Markus Hartinger

                \bigskip
        Erika-Mann-Straße 63 | 80636 München | +49.89.45 23 47 - 0 \\
        Meitnerstraße 8 | 70563 Stuttgart | +49.711.21 95 28 - 0 \\
        Klostergasse 3 | 04109 Leipzig | +49.341.22 178 - 0

                \bigskip
        \url{office@jambit.com} \\
        \url{www.jambit.com}

        \bigskip

        {  \tiny      Dieses Dokument ist vertraulich.
                Eine Weitergabe an Dritte ist nur mit Zustimmung von jambit möglich.\par
        }

        }
        }



        \bigskip
     \end{beamercolorbox}
    \begin{beamercolorbox}[wd=0.49\paperwidth,ht=\paperheight]{title}
   \begin{center}
   \end{center}
    \end{beamercolorbox}
    }
\end{frame}

}
